# Contributing to dxcharts-lite

We would be glad if you contribute to our source code and help us to improve dxcharts-lite even more! We propose you to follow these guidelines:

## Contributing a Patch

1. Create your change to the repo in question.
2. Fork the desired repo, develop and test your code changes.
3. Ensure that your code is clear and comprehensible.
4. Ensure that your code has an appropriate set of unit tests which all pass.
5. Submit a pull request.
6. The repo owner will review your request. If it is approved, the change will be merged. If it needs additional work, the repo owner will respond with useful comments.
7. Before the code is merged Contributor License Agreement (CLA) should be signed. Our bot will comment on the PR asking you to sign the CLA if it is required.

## Question or problem

If you have any questions about how to use dxcharts-lite, please contact via Github issues. Just create an issue with a question.

## Submitting an issue

You can help us by submitting an issue to our GitHub Repository in case you find a bug in the source code, a mistake in the documentation or a proposal. A Pull Request with a fix would be even better. Before you submit an issue, search the archive, maybe your question was already answered.
Here are the submission guidelines we would like you to follow:

-   Detailed overview of the Issue
-   Related issues - has a similar issue been reported before?
-   Reproduce the Error - A set of steps to reproduce the error (in case of a bug)
-   Suggest a Fix - if you can't fix the bug yourself, perhaps you can point to what might be causing the problem (line of code or commit)

## Documentation fixes

If you have any ideas how to help us to improve the documentation, please let others know what you're working on by creating a new issue or comment on a related existing one (please, follow the guidelines contained in Submitting an issue).
